package com.mx.dla.dda.contrato.transaccion.terminos.enums;

public enum TransaccionesTituloTypes {

	Premium("Type 1 Premium"), 
	Premier("Type 1 Premier"), 
	Libreria("Type 2"), 
	Series("EST 8"), 
	Tiers("EST 1/EST 2");
	
	private String desc;

	TransaccionesTituloTypes(String desc) {
		this.desc = desc;
	}

	public String getDesc() {
		return desc;
	}

	public static String get(String id) {
		TransaccionesTituloTypes[] values = TransaccionesTituloTypes.values();

		TransaccionesTituloTypes target = null;
		for (TransaccionesTituloTypes t : values) {
			if (t.name().equals(id)) {
				target = t;
				break;
			}
		}
		return target.desc;
	}

}
